## org.eclipse.ocl.expressions
Interface CollectionRange<C>

All Superinterfaces:
  CollectionLiteralPart<C>, EObject, Notifier, TypedElement<C>, Visitable

All Known Subinterfaces:
  CollectionRange, CollectionRange

All Known Implementing Classes:
  CollectionRangeImpl, CollectionRangeImpl, CollectionRangeImpl

    public interface CollectionRange<C>

extends CollectionLiteralPart<C>

A representation of the model object 'Collection Range'.

The following features are supported:

- `First`
- `Last`

See Also:
  `ExpressionsPackage.getCollectionRange()`

Method Summary
`boolean` `checkRangeType(DiagnosticChain diagnostics, Map<Object,Object> context)` type = first.type.commonSuperType(last.type)
`OCLExpression<C>` `getFirst()` Returns the value of the 'First' containment reference
`OCLExpression<C>` `getLast()` Returns the value of the 'Last' containment reference
`void` `setFirst(OCLExpression<C> value)` Sets the value of the '`First`' containment reference
`void` `setLast(OCLExpression<C> value)` Sets the value of the '`Last`' containment reference

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFirst

    OCLExpression<C> getFirst()

  Returns the value of the 'First' containment reference.

  If the meaning of the 'First' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'First' containment reference.
  See Also:
    `setFirst(OCLExpression)`, `ExpressionsPackage.getCollectionRange_First()`

### setFirst

    void setFirst(OCLExpression<C> value)

  Sets the value of the '`First`' containment reference.

  Parameters:
    `value` - the new value of the 'First' containment reference.
  See Also:
    `getFirst()`

### getLast

    OCLExpression<C> getLast()

  Returns the value of the 'Last' containment reference.

  If the meaning of the 'Last' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Last' containment reference.
  See Also:
    `setLast(OCLExpression)`, `ExpressionsPackage.getCollectionRange_Last()`

### setLast

    void setLast(OCLExpression<C> value)

  Sets the value of the '`Last`' containment reference.

  Parameters:
    `value` - the new value of the 'Last' containment reference.
  See Also:
    `getLast()`

### checkRangeType

    boolean checkRangeType(DiagnosticChain diagnostics,
                           Map<Object,Object> context)

  type = first.type.commonSuperType(last.type)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.